# python-data-science
Following along with the book [_Data Science from Scratch_](http://shop.oreilly.com/product/0636920033400.do).

I am making some modifications to the code in the book to provide some checking of our custom List types, some `doctest` checking and proper, useful docstrings.

Other code modifications are dealing with the fact that the book was written for Python 2.7, and I'm opting to try and use Python 3.4 via Anaconda.
